# Uses of Enum
org.jboss.logmanager.ExtLogRecord.FormatStyle

Packages that use ExtLogRecord.FormatStyle
Package
Description
org.jboss.logmanager

## Uses of ExtLogRecord.FormatStyle in org.jboss.logmanager

Methods in org.jboss.logmanager that return ExtLogRecord.FormatStyle
Modifier and Type
Method
Description
`ExtLogRecord.FormatStyle`
ExtLogRecord.`getFormatStyle()`
Get the format style for the record.
`static ExtLogRecord.FormatStyle`
ExtLogRecord.FormatStyle.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExtLogRecord.FormatStyle[]`
ExtLogRecord.FormatStyle.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jboss.logmanager with parameters of type ExtLogRecord.FormatStyle
Modifier and Type
Method
Description
`void`
Logger.`log(String fqcn, Level level, String message, String bundleName, ExtLogRecord.FormatStyle style, Object[] params, Throwable t)`
SPI interface method to log a message at a given level, with a specific resource bundle.
`void`
Logger.`log(String fqcn, Level level, String message, ExtLogRecord.FormatStyle style, Object[] params, Throwable t)`
SPI interface method to log a message at a given level.
`void`
ExtLogRecord.`setMessage(String message, ExtLogRecord.FormatStyle formatStyle)`
Set the raw message.
Constructors in org.jboss.logmanager with parameters of type ExtLogRecord.FormatStyle
Modifier
Constructor
Description
``
`ExtLogRecord(Level level, String msg, ExtLogRecord.FormatStyle formatStyle, String loggerClassName)`
Construct a new instance.